ランタイム: Mix::Scene::IParticle Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IParticle Class Referenceabstract

パーティクルインターフェース More...

`#include <IParticle.h>`

Inheritance diagram for Mix::Scene::IParticle:
[legend]
Collaboration diagram for Mix::Scene::IParticle:
[legend]

## Public Member Functions

virtual void | GetMaterial (Mix::Scene::IMaterial **ppMaterial)=0
| マテリアルを取得します More...
virtual Boolean | SetMaterial (Mix::Scene::IMaterial *pMaterial)=0
| マテリアルを設定します More...
virtual void | Update (Float32 dt)=0
| 更新をします More...
virtual void | Refresh (void)=0
| リフレッシュをします More...
virtual void | Refresh1 (void)=0
| 1 回目のリフレッシュをします More...
virtual void | Refresh2 (void)=0
| 2 回目のリフレッシュをします More...
virtual Float32 | Debug_GetDrawAxisScaling (void) const =0
| デバッグ : 軸を描画する際のスケールを取得します More...
virtual void | Debug_SetDrawAxisScaling (Float32 scaling)=0
| デバッグ : 軸を描画する際のスケールを設定します More...
Public Member Functions inherited from Mix::Scene::IWidget
virtual Boolean | CanLocalLighting (void) const =0
| ローカルライティングをすることができるかどうかを確認します More...
Public Member Functions inherited from Mix::Scene::IEntity
virtual Boolean | IsDraw (void) const =0
| 描画するかどうかを確認します More...
virtual void | SetDraw (Boolean state)=0
| 描画するかどうかを設定します More...
virtual Boolean | IsLocalLighting (void) const =0
| ポイントライト、スポットライトによるライティングを行うかどうかを確認します More...
virtual void | SetLocalLighting (Boolean state)=0
| ポイントライト、スポットライトによるライティングを行うかどうかを設定します More...
virtual UInt32 | GetTransparencyPriority (void) const =0
| 半透明ポリゴンの描画の優先度を取得します More...
virtual void | SetTransparencyPriority (UInt32 priority)=0
| 半透明ポリゴンの描画の優先度を設定します More...
virtual Mix::Scene::WATER_CONTAINS_RESULT | GetDefaultWaterContainsResult (void) const =0
| 水中かどうかを判定する際のデフォルト値を取得します More...
virtual void | SetDefaultWaterContainsResult (Mix::Scene::WATER_CONTAINS_RESULT result)=0
| 水中かどうかを判定する際のデフォルト値を設定します More...
Public Member Functions inherited from Mix::Scene::IRendererObject
virtual Mix::Scene::IRendererObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | IsRendering (void) const =0
| レンダリングされているかどうかを確認します。 More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IParticle (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IWidget
virtual | ~IWidget (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IEntity
virtual | ~IEntity (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IRendererObject
virtual | ~IRendererObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IRendererObject

enum

TYPE {
UNDEFINED = 0, UNIVERSAL_CAMERA = 1, VIEW_CAMERA = 2, HEMISPHERE_LIGHT = 3,
DIRECTIONAL_LIGHT = 4, SPOT_LIGHT = 5, POINT_LIGHT = 6, SKY_DOME = 7,
ATMOSPHERE_SCATTER = 8, LIGHT_SHAFTS_CASTER = 9, ACTOR_NODE = 10, ACTOR_MODEL = 11,
TERRAIN_MODEL = 12, LEAVING_PARTICLE = 13, SCATTER_PARTICLE = 14, PLANTER = 15,
WATER_POOL = 16, DYNAMICS_WORLD = 17, FLOOR = 18, GHOST = 19
}

| タイプ列挙定数 More...

## Detailed Description

パーティクルインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IParticle::~IParticle | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Scene::IParticle::GetMaterial | ( | Mix::Scene::IMaterial ** | ppMaterial | ) |

pure virtual

マテリアルを取得します

Parameters

  [out] | ppMaterial | 取得したマテリアルを渡す Mix::Scene::IMaterial インターフェースのポインタのアドレス

virtual Boolean Mix::Scene::IParticle::SetMaterial | ( | Mix::Scene::IMaterial * | pMaterial | ) |

pure virtual

マテリアルを設定します

Parameters

  [in] | pMaterial | 設定するマテリアルを表す Mix::Scene::IMaterial インターフェースのポインタ

Returns
  成功した場合は True を返します

virtual void Mix::Scene::IParticle::Update | ( | Float32 | dt | ) |

pure virtual

更新をします

Parameters

  [in] | dt | デルタタイム( 秒単位 )

Note
  更新の際に指定されたデルタタイムの分だけアニメーションを進めます。
  また、このメソッドは並列実行することができます。

virtual void Mix::Scene::IParticle::Refresh | ( | void |  | ) |

pure virtual

リフレッシュをします

Note
  このメソッドは、並列実行することはできません。
  並列実行したい場合は Refresh1 Refresh2 を使用してください。

virtual void Mix::Scene::IParticle::Refresh1 | ( | void |  | ) |

pure virtual

1 回目のリフレッシュをします

Note
  このメソッドは Mix::Parallel を使用してリフレッシュをすることを前提として作成されています。
  また、1 回目のリフレッシュは並列実行になります。

virtual void Mix::Scene::IParticle::Refresh2 | ( | void |  | ) |

pure virtual

2 回目のリフレッシュをします

Note
  このメソッドは Mix::Parallel を使用してリフレッシュをすることを前提として作成されています。
  また、2 回目のリフレッシュは同期実行になります。

virtual Float32 Mix::Scene::IParticle::Debug_GetDrawAxisScaling | ( | void |  | ) | const

pure virtual

デバッグ : 軸を描画する際のスケールを取得します

Returns
  スケールを返します

virtual void Mix::Scene::IParticle::Debug_SetDrawAxisScaling | ( | Float32 | scaling | ) |

pure virtual

デバッグ : 軸を描画する際のスケールを設定します

Parameters

  [in] | scaling | スケール

The documentation for this class was generated from the following file:

- Mix/Scene/IParticle.h